Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface EJBComponentRuntimeMBean

public interface EJBComponentRuntimeMBean
extends ComponentRuntimeMBean

This is the top level interface for all runtime information collected for an EJB module.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.runtime.ComponentRuntimeMBean
`ACTIVATED, NEW, PREPARED, UNPREPARED`

Method Summary
`EJBComponentMBean` | `getEJBComponent()` Returns the associated EJBComponentMBean for this EJB module.
`EJBRuntimeMBean` | `getEJBRuntime(java.lang.String ejbName)` Returns the EJBRuntimeMBean for the EJB with the specified name.
`EJBRuntimeMBean[]` | `getEJBRuntimes()` Returns an array of EJBRuntimeMBean objects for this EJB module.

Methods inherited from interface weblogic.management.runtime.ComponentRuntimeMBean
`getDeploymentState`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getEJBRuntimes

    public EJBRuntimeMBean[] getEJBRuntimes()

  Returns an array of EJBRuntimeMBean objects for this EJB module. The EJBRuntimeMBean instances can be cast to their appropriate subclass (EntityEJBRuntimeMBean, StatelessEJBRuntimeMBean, StatefulEJBRuntimeMBean or MessageDrivenEJBRuntimeMBean) to access additional runtime information for the particular EJB.

  Returns:
    The eJBRuntimes value

### getEJBRuntime

    public EJBRuntimeMBean getEJBRuntime(java.lang.String ejbName)

  Returns the EJBRuntimeMBean for the EJB with the specified name.

  Parameters:
    `ejbName` -
  Returns:
    The eJBRuntime value

### getEJBComponent

    public EJBComponentMBean getEJBComponent()

  Returns the associated EJBComponentMBean for this EJB module.

  Returns:
    The eJBComponent value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD